<?php
	//++
	if(strlen($StrId)>0 && $StrCmd=="AR"){
		$Id=$StrId;
		//++++++++
		$UbiPai=gs("ven_ubi_pai","ventas","id_venta=$Id");
		$UbiDep=gs("ven_ubi_dep","ventas","id_venta=$Id");
		$UbiPro=gs("ven_ubi_pro","ventas","id_venta=$Id");
		$UbiDis=gs("ven_ubi_dis","ventas","id_venta=$Id");
		$StrDIR=gs("ven_cli_dir","ventas","id_venta=$Id");
		//+++++
		$StrEmp=gs("EMPC","vventas","ID=$Id");
		$StrAlm=gs("ALM","vventas","ID=$Id");
		$StrFec=gs("DATE_FORMAT(FEC,'%d-%m-%y')","vventas","ID=$Id");
		$StrCom=gs("COM","vventas","ID=$Id");
		$StrSer=gs("SER","vventas","ID=$Id");
		$StrNum=gs("NUM","vventas","ID=$Id");
		$StrMon=gs("MON","vventas","ID=$Id");
		if($StrMon=="S") $StrMon="SOLES";
		if($StrMon=="D") $StrMon="DOLARES";
		$StrIdCliente=gn("id_cliente","ventas","id_venta=$Id");
		$StrCliente=gs("CLI","vventas","ID=$Id");
		//++
		if(strlen($StrDIR)==0){
			$StrDIR=gs("cli_dir","clientes","id_cliente=$StrIdCliente");
		}
		$StrEma=gs("cli_email","clientes","id_cliente=$StrIdCliente");
		$SUN_TIP_DOC=gs("SUN_DOC_TIP","vclientes","ID=$StrIdCliente");
		$StrRuc=gs("RUC","vventas","ID=$Id");
		$StrDni=gs("DNI","vventas","ID=$Id");
		$StrFven=gs("fec_ven","ventas","id_venta=$Id");
		$StrTdp=gs("TDP","vventas","ID=$Id");		
		$StrTdp=gs("tipp_nombre","tipos_pagos","id_tip_pag='$StrTdp'");
		$StrTar=gs("TAR","vventas","ID=$Id");
		$StrBan=gs("BAN","vventas","ID=$Id");
		$StrAde=gn("ADE","vventas","ID=$Id");
		$StrPagarCon=gn("P_CON","vventas","ID=$Id");
		$StrVuelto=gn("VUE","vventas","ID=$Id");
		$StrN_INC=gs("INI","vventas","ID=$Id");
		$StrTempA=gs("VEN_COM_REF","vventas","ID=$Id");
		$Str_PRI=gn("ven_prin","ventas","id_venta=$Id");
		$Str_DES=gn("ven_desc","ventas","id_venta=$Id");
		$ID_TEMP=gn("VEN_ID_VEN","vventas","ID=$Id");
		$StrPD=gn("P_DES","vventas","ID=$Id");
		$StrMod=gs("MODAL","vventas","ID=$Id");
		$StrGIA=gs("ven_gia","ventas","id_venta=$Id");
		if(strlen($StrGIA)>0){
			$ES_GIA_REFERENCIA=1;
		}
		$VEN_AUTO_ID_VL=gn("ven_id_vl","ventas","id_venta=$Id");
		//
		$StrEmpR="";
		if($StrTempA=="PROFORMA"){
			$StrTempB=gs("CONCAT(ser,'-',num)","cotizaciones","id_cotizacion=$ID_TEMP");
			$StrEmpR=gs("EMPC","vcotizaciones","ID=$ID_TEMP");
		}
		if($StrTempA=="CONTENEDOR"){
			$StrTempB=gs("CONCAT(ser,'-',numero)","compras","id_compra=$ID_TEMP");
			$StrEmpR=gs("EMPC","vcompras","ID=$ID_TEMP");
		}
		//		
		ejt("DELETE FROM temp_compras WHERE cod_temc='$StrHWND_V'");
		$s="SELECT * FROM ventas_det WHERE id_venta=$Id ORDER BY cx";
		$cx=0;
		$result = grs($s);			
		while ($row = $result->fetch_row()){
			$cx++;
			$AR_ID=$row[2];
			$AR_CA=$row[3];
			$AR_PR=$row[4];
			$AR_IM=$row[5];
			$AR_CO=$row[7];
			$AR_DE=$row[8];
			$AR_CU=$row[9];
			$s="INSERT INTO temp_compras VALUES ('$StrHWND_V',
			   $AR_ID,$AR_CA,$AR_PR,$AR_IM,$cx,'$AR_CO','$AR_DE',$AR_CU)";
			ejt($s);			
		}
		//
		$DR_NOM=$StrTempA;
		if($DR_NOM=="PROFORMA"){			
			$DR_PRI=vbval(gs("cot_pri","cotizaciones","id_cotizacion=$ID_TEMP"));
			$DR_DES=vbval(gs("cot_des","cotizaciones","id_cotizacion=$ID_TEMP"));
		}
		$_ID=gn("count(*)","guias","anu='N' AND id_comr>0 AND id_ref=$Id");
		if($_ID>0){
			$DR=$_ID;
		}
		//
		ejt("DELETE FROM ventas_cuotas_t WHERE hw='$StrHWND_V'");
		$s="SELECT * FROM ventas_cuotas WHERE id_venta=$Id ORDER BY cx";
		$cx=0;
		$rs=grs($s);			
		while($r=$rs->fetch_assoc()){
			$cx=GenId("cx","ventas_cuotas_t");
			$cx_tot=$r['tot'];
			$cx_fec=$r['fec'];
			$s="INSERT INTO ventas_cuotas_t VALUES ($cx,'$StrHWND_V',$cx_tot,'$cx_fec')";
			ejt($s);
		}		
	}
	//
	if($StrCmd=="LOAD_X"){
		ejt("DELETE FROM temp_compras WHERE cod_temc='$StrHWND_V'");
		$DR_NOM="";
		$DR_DES="0";
		$DR_PRI="0";
		$Str_PRI=0;
		$Str_DES=0;
		$StrTempB="";
		$StrEmpR="";
		$StrTempA="";
	}
	//
	if($StrCmd=="LOAD"){
		$_PD=round(vbval($StrPD)/100,2);
		$DR_NOM="";
		$DR_DES="0";
		$DR_PRI="0";
		$Str_PRI=0;
		$Str_DES=0;
		ejt("DELETE FROM temp_compras WHERE cod_temc='$StrHWND_V'");
		$StrTempA_=gn("id_comprobante","comprobantes","com_nombre='$StrTempA'");
		SER_NUM_EX($StrTempB,$TEMP_SER,$TEMP_NUM);
		$StrEmpR_=gn("id_emp","empresas","emp_nomc='$StrEmpR'");
	}
	//
	if($StrCmd=="LOAD" && $StrTempA=="CONTENEDOR"){
		$CONT_ID=VEN_GET_ID_REF($StrTempA,$TEMP_SER,$TEMP_NUM,$StrEmpR_);
		//
		$X_IND=0;
		$s="SELECT * FROM compras_det WHERE id_compra=$CONT_ID ORDER BY cx";
		$result = grs($s);
		while ($row = $result->fetch_assoc()){					
			$X_IND=$X_IND+1;
			$X_IDP=$row['id_producto'];
			$X_CAN=$row['ca'] - $row['cv'];
			$X_PIE=$row['can_uni'];
			if($X_CAN>0){
				$X_PRE=gn("pro_pv_max","productos","id_producto=".$X_IDP);
				$X_IMP=$X_CAN * $X_PIE * $X_PRE;
				$X_DSC=0;
				$X_COD=gs("COD","vproductos","ID=$X_IDP");
				$X_DES=gs("DESCRIPCION","vproductos","ID=$X_IDP");
				$X_UNI=$X_PIE;
				if(vbval($Str_APP)==1){
					$X_PRE=($X_PRE) ;
					$X_PRE=$X_PRE - ($X_PRE * $_PD);
					$X_IMP=NF($X_PRE * ($X_UNI * $X_CAN ),1);
				}
				$s="INSERT INTO temp_compras VALUES ('$StrHWND_V',$X_IDP,
					$X_CAN,$X_PRE,$X_IMP,$X_IND,'$X_COD','$X_DES',$X_UNI)";
				ejt($s);
			}
		}
		$DR_NOM="CONTENEDOR";
		$DR_PRI=0;
		$DR_DES="";
	}
	//
	if($StrCmd=="LOAD" && $StrTempA=="PROFORMA"){		
		$ID_TEMP=gn("ID","z_vis_cotizaciones",
				    "ISER=$TEMP_SER AND INUM=$TEMP_NUM AND ID_EMP=$StrEmpR_");			
		if($StrTempA=="PROFORMA"){
			if($ID_TEMP==0){
				$LStrMsg="GENERAR SEGUN ... PROFORMA Empresa/serie/numero NO registrados";
				$LStrFoc="document.getElementById('TxtTemp').focus();";						
				$StrGT="S";		
			}
			if(strlen($StrGT)==0){
				if(gs("anu","cotizaciones","id_cotizacion=$ID_TEMP")=="S"){
					$LStrMsg="GENERAR SEGUN ... serie/numero anulado";
					$LStrFoc="document.getElementById('TxtTemp').focus();";						
					$StrGT="S";							
				}
			}
			
			if(strlen($StrGT)==0){
				//
				$StrCliente=gs("CLI","vcotizaciones","ID=$ID_TEMP");
				$StrRuc=gs("RUC","vcotizaciones","ID=$ID_TEMP");
				$StrDni=gs("DNI","vcotizaciones","ID=$ID_TEMP");
				$StrDni=gs("DNI","vcotizaciones","ID=$ID_TEMP");
				$StrEma=gs("EMA","vcotizaciones","ID=$ID_TEMP");
				$StrDIR=gs("DIR","vcotizaciones","ID=$ID_TEMP");
				$StrIdCliente=gn("IDCLI","vcotizaciones","ID=$ID_TEMP");
				$SUN_TIP_DOC=gs("SUN_DOC_TIP","vclientes","ID=$StrIdCliente");
				$UbiPai=gs("UBI_PAI","vclientes","ID=$StrIdCliente");
				$UbiDep=gs("UBI_DEP","vclientes","ID=$StrIdCliente");
				$UbiPro=gs("UBI_PRO","vclientes","ID=$StrIdCliente");
				$UbiDis=gs("UBI_DIS","vclientes","ID=$StrIdCliente");
				$_IDV=gn("cot_id_venta","cotizaciones","id_cotizacion=$ID_TEMP");
				//
				FxCOT_PARSE_CANTIDADES($ID_TEMP);
				//
				$X_IND=0;
				$GIA_REF_KOD=vbval($_POST['GIA_REF_KOD']);
				if($GIA_REF_KOD==0){
					$s="SELECT * FROM cotizaciones_det WHERE id_cotizacion=$ID_TEMP ORDER BY cx";
					//echo $s."<br>";
					$result = grs($s);
					while ($row = $result->fetch_row()){					
						$X_IND=$X_IND+1;
						$X_IDP=$row[2];
						$X_CAN=$row[11];//VE_CONTROL
						if($X_CAN>0){
							$X_PRE=($row[4] - $row[6]);
							$X_IMP=$row[5];
							$X_DSC=$row[6];
							$X_COD=gs("COD","vproductos","ID=$X_IDP");
							$X_DES=gs("DESCRIPCION","vproductos","ID=$X_IDP");
							$X_UNI=$row[9];
							if(vbval($Str_APP)==1){
								$X_PRE=($row[4] - $row[6]) ;
								$X_PRE=$X_PRE - ($X_PRE * $_PD);
								$X_IMP=NF($X_PRE * ($X_UNI * $X_CAN ),1);
							}
							$s="INSERT INTO temp_compras VALUES ('$StrHWND_V',$X_IDP,
								$X_CAN,$X_PRE,$X_IMP,$X_IND,'$X_COD','$X_DES',$X_UNI)";
							ejt($s);
							//echo $s."<br>";
						}
					}
				}else{
					$ES_GIA_REFERENCIA=1;
					$s="SELECT * FROM guias_det WHERE id_guia=".$GIA_REF_KOD." ORDER BY cx";
					$rs=grs($s);
					while($r=$rs->fetch_assoc()){
						$X_IND=$X_IND+1;
						$X_IDP=$r['id_producto'];
						$X_CAN=$r['ca'];
							$G_PIE=$r['can_uni'];						
						$X_PRE=gn("pr","cotizaciones_det","id_cotizacion=$ID_TEMP AND id_producto=$X_IDP AND can_uni=$G_PIE");
						$X_IMP=$X_PRE * $X_CAN * $G_PIE;
						$X_DSC=0;							
						$X_COD=gs("COD","vproductos","ID=$X_IDP");
						$X_DES=gs("DESCRIPCION","vproductos","ID=$X_IDP");
						$X_UNI=$G_PIE;
						if(vbval($Str_APP)==1){
							$X_PRE=$X_PRE ;
							$X_PRE=$X_PRE - ($X_PRE * $_PD);
							$X_IMP=NF($X_PRE * ($X_UNI * $X_CAN ),1);
						}
						$s="INSERT INTO temp_compras VALUES ('$StrHWND_V',$X_IDP,
							$X_CAN,$X_PRE,$X_IMP,$X_IND,'$X_COD','$X_DES',$X_UNI)";
						ejt($s);
					}
				}
				if($_IDV==0){
					$LStrMsg="Los datos han sido cargados correctamente...";
					$DR_NOM="PROFORMA";
					if(vbval(gs("cot_pri","cotizaciones","id_cotizacion=$ID_TEMP"))==1){						
						$DR_PRI=1;
					}
					$DR_DES=0;					
				}else{
					$LStrMsg="Los datos ya han sido referenciados en una anterior venta";
				}
				$LStrFoc="document.getElementById('CboTdp').focus();";						
				$StrGT="S";
			}
		}
	}
	//
	if($StrCmd=="KILLER"){
		ejt("DELETE FROM temp_compras WHERE 
				temc_index=$StrPro_ID AND cod_temc='$StrHWND_V'");
		$LStrFoc="document.getElementById('TxtCod').focus();";						
		$StrGT="S";	
		$StrVuelto="0.0";
		$StrPagarCon="0";		

	}
	//
	if($StrCmd=="ADD"){	
		$StrVuelto="0.0";
		$StrPagarCon="0";	
		if($StrPro_ID==0){
			$LStrMsg="No se puede determinar el ID del producto";
			$LStrFoc="document.getElementById('TxtCod').focus();";						
			$StrGT="S";			
		}

		if(strlen($StrGT)==0){
			if(gn("count(*)","temp_compras",
				  "temc_id_producto=$StrPro_ID AND cod_temc='$StrHWND_V' AND dscto=$StrCUni")>0){
				$LStrMsg="El producto que desea agregar ya se encuentra en la lista";
				$LStrFoc="document.getElementById('TxtCod').focus();";						
				$StrGT="S";	
			}
		}

		if(strlen($StrGT)==0){
			$StrImporte=round($StrCUni * $StrPro_PR * $StrCant,2);
			$StrIndex=GenId("temc_index","temp_compras");
			$s="INSERT INTO temp_compras VALUES ('$StrHWND_V',
				$StrPro_ID,$StrPro_CA,$StrPro_PR,
				$StrImporte,$StrIndex,'$StrCod','$StrDes',$StrCUni)";
			ejt($s);
			$StrCant="";
			$StrPre="";
			$StrDes="";
			$StrMARCA="";
			$StrCod="";
			$StrImp="";
			$StrCUni="";
			$StrPro_ID="";
			$StrPro_Des="";
			$StrPro_Pre="";
			$Pro_TxtPreM="";
			$StrPro_Cod="";
			$StrPro_Mar="";
			$LStrFoc="document.getElementById('TxtCod').focus();";						
			$StrGT="S";	
		}
	}
	//
	if(($StrCmd=="G" || $StrCmd=="M") && strlen($StrGT)==0){
		$StrEmp_=gn("id_emp","empresas","emp_nomc='$StrEmp'");			
		$StrAlm_=gn("id_almacen","almacenes",
					"alm_obs='$StrAlm' AND alm_id_empresa=$StrEmp_");
		$StrCom_=gn("id_comprobante","comprobantes","com_nombre='$StrCom'");
		$StrMon_=substr($StrMon,0,1);
		$StrPro_=gn("id_proveedor","proveedores","pro_nombre='$StrPro'");
		$StrTdp_=substr($StrTdp,0,2);
		if(gn("count(*)","temp_compras","cod_temc='$StrHWND_V'")==0){
			$LStrMsg="La lista de productos esta vacia";
			$LStrFoc="document.getElementById('TxtCod').focus();";						
			$StrGT="S";
		}
		if(strlen($StrGT)==0 && strlen($StrMon_)==0){
			$LStrMsg="No se puede determinar el ID de la moneda $StrMon";
			$LStrFoc="document.getElementById('CboMon').focus();";	
			$StrGT="S";
		}
	}
?>